# Class: SyncDataBaseParmeters

## SyncDataBaseParmeters()

#### new SyncDataBaseParmeters()

同步数据库参数

Source:
  - SyncDataBaseParmeters.js, line 11

### Methods

#### (async, static) createObj() → {Promise.<SyncDataBaseParmeters>}

构造一个新的 SyncDataBaseParmeters 对象。

Source:
  - SyncDataBaseParmeters.js, line 21

##### Returns:

Type
  Promise.<SyncDataBaseParmeters>

#### (async, static) getLayerOptions() → {Promise.List.<SyncLayerOption>}

获取同步图层参数

Source:
  - SyncDataBaseParmeters.js, line 51

##### Returns:

同步图层选项

Type
  Promise.List.<SyncLayerOption>

#### (async, static) removeLayer(layerID) → {Promise.<void>}

移除图层

##### Parameters:

Name | Type | Description
--- | --- | ---
`layerID` | int | 图层ID

Source:
  - SyncDataBaseParmeters.js, line 38

##### Returns:

Type
  Promise.<void>